Random thread scheduling based on a seed

11/24/2011 09:20 PM - judofyr (Magnus Holm)

Status: Rejected   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

Description

Just a little idea that popped into my head:

Would it be possible to have "random" thread scheduling (based on a seed)? E.g. it spends a little more time in different threads than

usual?

This would be very useful for discovering subtle threading bugs that's often platform dependent.

History

#1 - 03/28/2012 12:45 AM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to ko1 (Koichi Sasada)

Ko1, kosaki, tarui-san, what do you think?

Looks almost impossible to me, though.

--

Yusuke Endoh mame@tsg.ne.jp

#2 - 04/09/2012 11:00 AM - ko1 (Koichi Sasada)

I want to reject it.

reasons:

(1) It is difficult to implement it in portable way.

(2) I have a doubt about this idea which can solve threading bugs.

Any other comments?

#3 - 06/26/2012 05:37 AM - ko1 (Koichi Sasada)

- Status changed from Assigned to Feedback

#4 - 10/30/2012 08:44 AM - ko1 (Koichi Sasada)

- Status changed from Feedback to Rejected

No feedback.
